请选择 进入手机版 | 继续访问电脑版

唐康林NX二次开发论坛

 找回密码
 立即注册
查看: 1025|回复: 3

[技术分享] C#方式调UFUN函数创建块的方法!

[复制链接]

548

主题

729

帖子

3230

积分

管理员

Rank: 9Rank: 9Rank: 9

积分
3230
发表于 2017-6-18 12:14:16 | 显示全部楼层 |阅读模式
在C#中,也可以调用UFUN的函数,来创建块,代码如下:
  1. double[] cornet_pt = {100.0, 50.0, 20.0};//角落点
  2. string[] edge_len = {"25.0", "35.0", "45.0"};//长宽高
  3. Tag blk_tag = Tag.Null;//块特征TAG
  4. theUfSession.Modl.CreateBlock1(FeatureSigns.Nullsign, cornet_pt, edge_len, out blk_tag);
复制代码


回复

使用道具 举报

0

主题

2

帖子

13

积分

潜龙勿用

Rank: 1

积分
13
发表于 2017-7-10 10:47:00 | 显示全部楼层
  1.                 //创建块
  2.                 Feature shell = null;
  3.                 NXOpen.Features.BlockFeatureBuilder myblock = null;
  4.                 NXOpen.Features.Feature nullFeatures_Feature = null;
  5.                 Part workPart = theSession.Parts.Work;
  6.                 myblock = workPart.Features.CreateBlockFeatureBuilder(nullFeatures_Feature);
  7.                 //定义初始点坐标
  8.                 Point3d ps = new Point3d(100.0, 100.0, 100.0);
  9.                 //定义长方体的长宽高
  10.                 myblock.SetOriginAndLengths(ps, L1.ToString(), W1.ToString(), H1.ToString());
  11.                 shell= myblock.CommitFeature()
复制代码


回复 支持 反对

使用道具 举报

0

主题

2

帖子

13

积分

潜龙勿用

Rank: 1

积分
13
发表于 2017-7-10 11:04:26 | 显示全部楼层
我这样写也能生成,但是比较麻烦啊!你这个函数用法是在哪找到的呢?C#方式调UFUN函数的帮助文档不知道是哪一个?
回复 支持 反对

使用道具 举报

33

主题

63

帖子

777

积分

管理员

Rank: 9Rank: 9Rank: 9

积分
777
发表于 2017-7-10 17:18:20 | 显示全部楼层
卓尔0421 发表于 2017-7-10 11:04
我这样写也能生成,但是比较麻烦啊!你这个函数用法是在哪找到的呢?C#方式调UFUN函数的帮助文档不知道是哪 ...

这是两种不同的方法来开发,
在C#里面这个应该是叫调用了UFUN的类,
C里面是直接说UFUN函数了,也有C++对应的类。
至于帮助,你在官方找C#的开发文档就有,我是因为先用C和C++的,所以我不用找C#帮助文档,我也能写一些代码的。
回复 支持 反对

使用道具 举报

您需要登录后才可以回帖 登录 | 立即注册

本版积分规则

QQ|Archiver|手机版|小黑屋| ( 蜀ICP备16014681号

GMT+8, 2018-8-18 22:46 , Processed in 0.081124 second(s), 22 queries .

Powered by www.nxopen.cn

© 2001-2013 nxopen.cn

快速回复 返回顶部 返回列表